package trapmon;

import java.util.*;

/**
 * A class which represents a Management Information Base (MIB).            <P>
 *
 * @author Alex Taylor, copyright (C) 2003
 */
public class MIB extends Object
{
                                                       /** 
                                                        *  A comment delimiter
                                                        */
    public static final String MIB_COMMENT = "--";

                                   /**
                                    * All object identifiers defined by the MIB
                                    */
    public Vector objectIDs;
    
                                   /**
                                    * All object types defined by the MIB
                                    */
    public Vector objectTypes;

    // ------------------------------------------------------------------------
    /**
     *
     */
    public MIB( ) {
    } // ----------------------------------------------------------------------


    // ------------------------------------------------------------------------
    /**
     *
     */
    public void parseMIB( ) {
    /*
        parse mib    
            mibname 'DEFINITIONS' ::= BEGIN
            do 
                get element 
                parse element
            until end

        get element
            blank line
            start element
            append to element until blank line
            end element

        get value
            append to value until '{', '}' or end
            if '{' 
                get value
            if '}' 
                end value
            
        parse element
            name = next word
            type = next word
            definition = words until '::='
            value = get value
            
            switch type
                object:      parse oid( definition, value )
                object-type: parse object type( definition, value )
                trap-type:   parse trap type( definition, value )
    
    */
    } // ----------------------------------------------------------------------



} // ==========================================================================
